Bug 1195343 - perl-CGI-Application-Structured-Tools-0.015-7.fc22 FTBFS: tests fail
Summary: perl-CGI-Application-Structured-Tools-0.015-7.fc22 FTBFS: tests fail
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: perl-CGI-Application-Structured-Tools
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Emmanuel Seyman
QA Contact: Fedora Extras Quality Assurance
URL: http://koji.fedoraproject.org/koji/ta...
Whiteboard:
: 1239767 (view as bug list)
Depends On:
Blocks: F23FTBFS
TreeView+ depends on / blocked
 
Reported: 2015-02-23 15:44 UTC by Petr Pisar
Modified: 2015-09-02 06:05 UTC (History)
3 users (show)

Fixed In Version: perl-CGI-Application-Structured-Tools-0.015-10.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-31 11:38:10 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Pisar 2015-02-23 15:44:15 UTC
perl-CGI-Application-Structured-Tools-0.015-7.fc22 fails to build in F23:

+ make test
PERL_DL_NONLAZY=1 "/usr/bin/perl" "-MExtUtils::Command::MM" "-MTest::Harness" "-e" "undef *Test::Harness::Switches; test_harness(0, 'blib/lib', 'blib/arch')" t/*.t
Use of uninitialized value in concatenation (.) or string at /usr/share/perl5/vendor_perl/Module/Starter/Simple.pm line 1669.
Can't create TestApp1823/01-load.t/#!/usr/bin/perl -T
#
# $Id: 01-load.t 52 2009-01-06 03:22:31Z jaldhar $
#
use warnings;
use strict;
use Test::More tests => 1;
BEGIN {
    use_ok('TestApp1823');
}
diag(
    "Testing TestApp1823 $TestApp1823::VERSION, Perl $], $^X"
);
: No such file or directory
 at /usr/share/perl5/vendor_perl/Module/Starter/Simple.pm line 1581.
	Module::Starter::Simple::create_file(Module::Starter=HASH(0x3002460), "TestApp1823/01-load.t/#!/usr/bin/perl -T\x{a}#\x{a}# \$Id: 01-load.t 5"..., undef) called at /usr/share/perl5/vendor_perl/Module/Starter/Simple.pm line 1288
	Module::Starter::Simple::_create_t(Module::Starter=HASH(0x3002460), "01-load.t", "#!/usr/bin/perl -T\x{a}#\x{a}# \$Id: 01-load.t 52 2009-01-06 03:22:31Z"...) called at /builddir/build/BUILD/CGI-Application-Structured-Tools-0.015/scripts/../lib/CGI/Application/Structured/Tools/Starter.pm line 189
	CGI::Application::Structured::Tools::Starter::create_t(Module::Starter=HASH(0x3002460), "TestApp1823") called at /builddir/build/BUILD/CGI-Application-Structured-Tools-0.015/scripts/../lib/CGI/Application/Structured/Tools/Starter.pm line 142
	CGI::Application::Structured::Tools::Starter::create_distro(Module::Starter=HASH(0x3002460)) called at /usr/share/perl5/vendor_perl/Module/Starter/App.pm line 134
	Module::Starter::App::run("Module::Starter::App") called at /builddir/build/BUILD/CGI-Application-Structured-Tools-0.015/t/../scripts/cas-starter.pl line 48
cannot create test application at t/001_load.t line 32.
# Looks like you planned 12 tests but ran 1.
# Looks like your test exited with 2 just after 1.
t/001_load.t .. 
Dubious, test returned 2 (wstat 512, 0x200)
Failed 11/12 subtests 
t/99_pod.t .... ok
Test Summary Report
-------------------
t/001_load.t (Wstat: 512 Tests: 1 Failed: 0)
  Non-zero exit status: 2
  Parse errors: Bad plan.  You planned 12 tests but ran 1.
Files=2, Tests=11,  1 wallclock secs ( 0.02 usr  0.00 sys +  0.27 cusr  0.03 csys =  0.32 CPU)
Result: FAIL

Difference between working and failing build root is:

        perl-Module-Starter 	1:1.62-5.fc22 	> 	1:1.71-1.fc22
	info 	5.2-7.fc22 	> 	5.2-8.fc22
	perl-HTTP-Tiny 	0.053-1.fc22 	> 	0.054-1.fc22
	perl-Text-CSV_XS 	1.13-1.fc22 	> 	1.14-1.fc22
	kernel-headers 	3.19.0-0.rc6.git3.1.... 	> 	3.19.0-0.rc7.git0.1....
	binutils 	2.25-4.fc22 	> 	2.25-5.fc22
	perl-IO-Socket-SSL 	2.011-1.fc22 	> 	2.012-1.fc22
	gdb 	7.8.50.20150108-1.fc22 	> 	7.8.90.20150202-2.fc22

Comment 1 Emmanuel Seyman 2015-07-06 04:46:30 UTC
*** Bug 1239767 has been marked as a duplicate of this bug. ***

Comment 2 Jan Kurik 2015-07-15 14:30:21 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 3 Emmanuel Seyman 2015-08-22 15:55:57 UTC
An update has been pushed to address this problem.
https://bodhi.fedoraproject.org/updates/FEDORA-2015-13832

Comment 4 Emmanuel Seyman 2015-08-31 11:38:10 UTC
The update has been pushed to stable.


Note You need to log in before you can comment on or make changes to this bug.